package de.ps4b.rfid.file;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import de.ps4b.rfid.model.matrics.Matrics;

public class FileEventReader 
		extends RouteBuilder {
	
	private static final Log logger = LogFactory.getLog(FileEventReader.class);
	
	public void configure() throws Exception {
		from("file:///Users/muellerc/tmp/incomingEvents")
			.convertBodyTo(Matrics.class)
			.process(new Processor() {
				public void process(Exchange exchange) throws Exception {
					logger.info("the body class is: " + exchange.getIn().getBody().getClass());
				}
			})
			.to("file:///Users/muellerc/tmp/outgoingEvents");
	}
}